#include <iostream>
using namespace std;
long long int a[200100];
int maxx (int n)
{
    int ma=1;
    for(int i=2;i<=n;i++)
    {
        if (a[ma]<a[i])
        {
            ma=i;
        }
    }
    return ma;
}
int del(int n)
{
    int d=maxx(n);
    int j=d;
    while(a[j] == a[j+1])
    {
        j++;
    }
    long long int g=min(a[d]-a[d-1],a[j]-a[j+1]);
    for(int i=d;i<=j;i++)
    {
        a[i]-=g;
    }
    return g;
}

int main()
{
    a[0]=0;
    int s;
    cin>>s;
    a[s+1]=0;
    for(int i=1;i<=s;i++)
    {
        cin>>a[i];
    }
    int h=0;
    while (true)
    {
        h+=del(s);
        if(a[maxx(s)]==0)
        {
            break;
        }
    }
    cout<<h;
    return 0;
}

